#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n;
    cin>>n;
    set<int> k;
    int prvi=0,drugi,nulti;
    bool z=false;
    for(int i=0;i<n;i++)
    {
        cin>>drugi;
        if(z)
        {
            if(nulti>drugi)k.insert(i);
            z=false;
        }
        else if(prvi>drugi)
        {
            k.insert(i);
            nulti=prvi;
            z=true;
        }
        nulti=prvi;
        prvi=drugi;
    }
    int q,o=0;
    cin>>q;
    int odg[q];
    for(int i=0;i<q;i++)
    {
        int x,y;
        cin>>x>>y;
        if(y-x<2)
        {
            odg[o++]=1;
            continue;
        }
        x--;y--;
        int br=0;
        for(auto it:k)
        {
            if(it>y) break;
            if(it>x) br++;
        }
        odg[o++]=br;
    }
    for(int i=0;i<q;i++)
    {
        if(odg[i]<2) cout<<"DA"<<endl;
        else cout<<"NE"<<endl;
    }
    return 0;
}